BOS_GETRESTRICTED(8)

NAME
bos_getrestricted - Displays whether a bos server is restricted or not

SYNOPSIS
bos getrestricted B<-server> <I<machine name>> [B<-cell> <I<cell name>>]
    [-noauth] [-localauth] [-help]

DESCRIPTION
The bos getrestricted command shows whether the server machine named by the -server argument is running in restricted mode.

Restricted mode limits access to certain bos commands. See bos_setrestricted(8) for details of which commands are disabled by restricting a server.

Use the bos setrestricted command to restrict, or un-restrict, a server.

OPTIONS

-server <machine name>
    Indicates the server machine for which to display the restart times. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output consists of a single line

   Restricted mode is <val>

Where <val> is "on" or "off"

PRIVILEGE REQUIRED
None

SEE ALSO
KeyFile(5), bos(8), bos_setrestricted(8),

COPYRIGHT
Copyright 2009 Simon Wilkinson <simon@sxw.org.uk>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Simon Wilkinson for OpenAFS.